Index: branches/2931_OR-Tools_LP_MIP/Build.cmd
===================================================================
--- branches/2931_OR-Tools_LP_MIP/Build.cmd	(revision 16070)
+++ branches/2931_OR-Tools_LP_MIP/Build.cmd	(revision 16138)
@@ -74,8 +74,4 @@
 
 :main
-REM First find the path to the msbuild.exe by performing a registry query
-FOR /F "tokens=1,3 delims=	 " %%A IN ('REG QUERY "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MSBuild\ToolsVersions\4.0"') DO (
-  IF "%%A"=="MSBuildToolsPath" SET MSBUILDPATH=%%B)
-
 REM Then execute msbuild to clean and build the solution
 REM Disable that msbuild creates a cache file of the solution
@@ -84,8 +80,8 @@
 IF "%CLEANBEFOREBUILD%" NEQ "n" (
   ECHO Cleaning ...
-  %MSBUILDPATH%msbuild.exe %SELECTED% /target:Clean /p:Configuration="%CONFIGURATION%",Platform="%PLATFORM%" /m:2 /nologo /verbosity:q /clp:ErrorsOnly
+  msbuild.exe %SELECTED% /target:Clean /p:Configuration="%CONFIGURATION%",Platform="%PLATFORM%" /m:2 /nologo /verbosity:q /clp:ErrorsOnly
 )
 ECHO Building ...
-%MSBUILDPATH%msbuild.exe %SELECTED% /target:Build /p:Configuration="%CONFIGURATION%",Platform="%PLATFORM%" /m:2 /nologo /verbosity:q /clp:ErrorsOnly
+msbuild.exe %SELECTED% /target:Build /p:Configuration="%CONFIGURATION%",Platform="%PLATFORM%" /m:2 /nologo /verbosity:q /clp:ErrorsOnly
 
 ECHO.
Index: branches/2931_OR-Tools_LP_MIP/HeuristicLab.ExtLibs/HeuristicLab.OrTools/6.8.0-pre/HeuristicLab.OrTools-6.8.0-pre/HeuristicLab.OrTools-6.8.0-pre.csproj
===================================================================
--- branches/2931_OR-Tools_LP_MIP/HeuristicLab.ExtLibs/HeuristicLab.OrTools/6.8.0-pre/HeuristicLab.OrTools-6.8.0-pre/HeuristicLab.OrTools-6.8.0-pre.csproj	(revision 16070)
+++ branches/2931_OR-Tools_LP_MIP/HeuristicLab.ExtLibs/HeuristicLab.OrTools/6.8.0-pre/HeuristicLab.OrTools-6.8.0-pre/HeuristicLab.OrTools-6.8.0-pre.csproj	(revision 16138)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project ToolsVersion="15.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
   <PropertyGroup>
@@ -24,4 +24,5 @@
     <WarningLevel>4</WarningLevel>
     <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
Index: branches/2931_OR-Tools_LP_MIP/HeuristicLab.ExtLibs/HeuristicLab.OrTools/6.8.0-pre/HeuristicLab.OrTools-6.8.0-pre/Plugin.cs.frame
===================================================================
--- branches/2931_OR-Tools_LP_MIP/HeuristicLab.ExtLibs/HeuristicLab.OrTools/6.8.0-pre/HeuristicLab.OrTools-6.8.0-pre/Plugin.cs.frame	(revision 16070)
+++ branches/2931_OR-Tools_LP_MIP/HeuristicLab.ExtLibs/HeuristicLab.OrTools/6.8.0-pre/HeuristicLab.OrTools-6.8.0-pre/Plugin.cs.frame	(revision 16138)
@@ -24,5 +24,5 @@
 
 namespace HeuristicLab.OrTools {
-  [Plugin("HeuristicLab.OrTools", "Provides functionality of Google OR-Tools in HeuristicLab", "6.8.0.$WCREV$")]
+  [Plugin("HeuristicLab.OrTools", "Provides functionality of Google OR-Tools in HeuristicLab. Requires Windows 64-bit", "6.8.0.$WCREV$")]
   [PluginFile("HeuristicLab.OrTools-6.8.0-pre.dll", PluginFileType.Assembly)]
   [PluginFile("Google.OrTools.dll", PluginFileType.Assembly)]
@@ -33,11 +33,4 @@
   [PluginFile("GLPK-4.65-license.txt", PluginFileType.License)]
   public class HeuristicLabOrToolsPlugin : PluginBase {
-      public override void OnLoad() {
-      if (!Environment.Is64BitProcess)
-        throw new InvalidPluginException("Google OR-Tools integration is availabe only on 64-bit platforms.");
-      if (Environment.OSVersion.Platform != PlatformID.Win32NT)
-        throw new InvalidPluginException("Google OR-Tools integration is currently availabe only on Windows.");
-      base.OnLoad();
-    }
   }
 }
Index: branches/2931_OR-Tools_LP_MIP/HeuristicLab.ExtLibs/HeuristicLab.OrTools/6.8.0-pre/HeuristicLab.OrTools-6.8.0-pre/Properties/AssemblyInfo.cs
===================================================================
--- branches/2931_OR-Tools_LP_MIP/HeuristicLab.ExtLibs/HeuristicLab.OrTools/6.8.0-pre/HeuristicLab.OrTools-6.8.0-pre/Properties/AssemblyInfo.cs	(revision 16070)
+++ branches/2931_OR-Tools_LP_MIP/HeuristicLab.ExtLibs/HeuristicLab.OrTools/6.8.0-pre/HeuristicLab.OrTools-6.8.0-pre/Properties/AssemblyInfo.cs	(revision 16138)
@@ -54,3 +54,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("6.8.0.0")]
-[assembly: AssemblyFileVersion("6.8.0.0")]
+[assembly: AssemblyFileVersion("6.8.0.16070")]
Index: branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/HeuristicLab.MathematicalOptimization-3.3.csproj
===================================================================
--- branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/HeuristicLab.MathematicalOptimization-3.3.csproj	(revision 16070)
+++ branches/2931_OR-Tools_LP_MIP/HeuristicLab.MathematicalOptimization/3.3/HeuristicLab.MathematicalOptimization-3.3.csproj	(revision 16138)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project ToolsVersion="15.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
@@ -24,4 +24,6 @@
     <WarningLevel>4</WarningLevel>
     <Prefer32Bit>false</Prefer32Bit>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <LangVersion>default</LangVersion>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
@@ -109,7 +111,7 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="Google.OrTools-6.8.0-pre-x64, Version=0.0.0.0, Culture=neutral, PublicKeyToken=e028b7d783ee8af0, processorArchitecture=AMD64">
+    <Reference Include="Google.OrTools, Version=0.0.0.0, Culture=neutral, PublicKeyToken=e028b7d783ee8af0, processorArchitecture=AMD64">
       <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\bin\Google.OrTools-6.8.0-pre-x64.dll</HintPath>
+      <HintPath>..\..\bin\Google.OrTools.dll</HintPath>
     </Reference>
     <Reference Include="Google.Protobuf, Version=3.5.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
@@ -118,12 +120,7 @@
       <Private>False</Private>
     </Reference>
-    <Reference Include="HeuristicLab.OrTools-6.8.0-pre, Version=6.8.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+    <Reference Include="HeuristicLab.PluginInfrastructure-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
       <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\bin\HeuristicLab.OrTools-6.8.0-pre.dll</HintPath>
-      <Private>False</Private>
-    </Reference>
-    <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
-      <HintPath>C:\Program Files\HeuristicLab 3.3\PluginInfrastructure-3.3.dll</HintPath>
-      <Private>False</Private>
+      <HintPath>..\..\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
     </Reference>
     <Reference Include="System" />
@@ -132,4 +129,9 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="LinearProgramming\BasisStatus.cs" />
+    <Compile Include="LinearProgramming\LinearSolverExtensions.cs" />
+    <Compile Include="LinearProgramming\LinearSolver.cs" />
+    <Compile Include="LinearProgramming\OptimizationProblemType.cs" />
+    <Compile Include="LinearProgramming\ResultStatus.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
     <None Include="Plugin.cs.frame" />
@@ -140,4 +142,5 @@
     <None Include="HeuristicLab.snk" />
   </ItemGroup>
+  <ItemGroup />
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <PropertyGroup>