Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Converter.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Converter.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Converter.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Command.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Command.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Command.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Downtime.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Downtime.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Downtime.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Heartbeat.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Heartbeat.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Heartbeat.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/HiveItem.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/HiveItem.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/HiveItem.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Job.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Job.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Job.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/JobPermission.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/JobPermission.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/JobPermission.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/LightweightTask.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/LightweightTask.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/LightweightTask.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/NamedHiveItem.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/NamedHiveItem.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/NamedHiveItem.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Permission.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Permission.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Permission.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Plugin.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Plugin.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Plugin.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/PluginData.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/PluginData.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/PluginData.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Resource.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Resource.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Resource.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/ResourcePermission.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/ResourcePermission.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/ResourcePermission.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Slave.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Slave.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Slave.cs	(revision 16140)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/SlaveGroup.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/SlaveGroup.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/SlaveGroup.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/SlaveState.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/SlaveState.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/SlaveState.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/StateLog.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/StateLog.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/StateLog.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Task.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Task.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/Task.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/TaskData.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/TaskData.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/TaskData.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/TaskState.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/TaskState.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/TaskState.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/UserPriority.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/UserPriority.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/DataTransfer/UserPriority.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/HiveJanitor.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/HiveJanitor.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/HiveJanitor.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/HiveOperationContext.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/HiveOperationContext.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/HiveOperationContext.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/HiveRoles.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/HiveRoles.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/HiveRoles.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/HiveService.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/HiveService.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/HiveService.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -967,5 +967,5 @@
       var taskStateEntity = taskState.ToEntity();
 
-      if (task.State == DA.TaskState.Calculating && taskStateEntity == DA.TaskState.Paused && task.Command == null) {
+      if (task.State == DA.TaskState.Transferring && taskStateEntity == DA.TaskState.Paused && task.Command == null) {
         // slave paused and uploaded the task (no user-command) -> set waiting.
         taskStateEntity = DA.TaskState.Waiting;
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/HiveStatisticsGenerator.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/HiveStatisticsGenerator.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/HiveStatisticsGenerator.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthorizationManager.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthorizationManager.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthorizationManager.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Interfaces/IEventManager.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Interfaces/IEventManager.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Interfaces/IEventManager.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Interfaces/IServiceLocator.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Interfaces/IServiceLocator.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Interfaces/IServiceLocator.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Interfaces/IStatisticsGenerator.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Interfaces/IStatisticsGenerator.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Interfaces/IStatisticsGenerator.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Interfaces/ITaskScheduler.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Interfaces/ITaskScheduler.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Interfaces/ITaskScheduler.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Manager/AuthorizationManager.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Manager/AuthorizationManager.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Manager/AuthorizationManager.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Manager/EventManager.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Manager/EventManager.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Manager/EventManager.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Manager/HeartbeatManager.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Manager/HeartbeatManager.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Manager/HeartbeatManager.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/MessageContainer.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/MessageContainer.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/MessageContainer.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/PerformanceLogger.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/PerformanceLogger.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/PerformanceLogger.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Plugin.cs.frame
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Plugin.cs.frame	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Plugin.cs.frame	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Services.Hive.Server {
-  [Plugin("HeuristicLab.Services.Hive", "3.3.14.$WCREV$")]
+  [Plugin("HeuristicLab.Services.Hive", "3.3.15.$WCREV$")]
   [PluginFile("HeuristicLab.Services.Hive-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Common", "3.3")]
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Properties/AssemblyInfo.cs.frame	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Properties/AssemblyInfo.cs.frame	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2016 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2018 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -55,3 +55,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.14.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.15.$WCREV$")]
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Scheduler/JobInfoForScheduler.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Scheduler/JobInfoForScheduler.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Scheduler/JobInfoForScheduler.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Scheduler/RoundRobinTaskScheduler.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Scheduler/RoundRobinTaskScheduler.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Scheduler/RoundRobinTaskScheduler.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Scheduler/TaskInfoForScheduler.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Scheduler/TaskInfoForScheduler.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/Scheduler/TaskInfoForScheduler.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/ServiceContracts/IHiveService.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/ServiceContracts/IHiveService.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/ServiceContracts/IHiveService.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/ServiceFaults/PluginAlreadyExistsFault.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/ServiceFaults/PluginAlreadyExistsFault.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/ServiceFaults/PluginAlreadyExistsFault.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/ServiceLocator.cs
===================================================================
--- branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/ServiceLocator.cs	(revision 15303)
+++ branches/2817-BinPackingSpeedup/HeuristicLab.Services.Hive/3.3/ServiceLocator.cs	(revision 16140)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.